Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/CodeNodeView.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/CodeNodeView.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/CodeNodeView.cs	(revision 9790)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Windows.Forms;
 using HeuristicLab.Core.Views;
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/Plugin.cs.frame
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/Plugin.cs.frame	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/Plugin.cs.frame	(revision 9790)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.Robocode.Views
 {
-    [Plugin("HeuristicLab.Problems.Robocode.Views", "The Robocode problem for genetic programming.", "3.3.7.$WCREV$")]
+    [Plugin("HeuristicLab.Problems.Robocode.Views", "The Robocode problem for genetic programming.", "3.3.8.$WCREV$")]
     [PluginFile("HeuristicLab.Problems.Robocode.Views-3.3.dll", PluginFileType.Assembly)]
     [PluginDependency("HeuristicLab.Data", "3.3")]
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/SolutionCodeView.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/SolutionCodeView.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/SolutionCodeView.cs	(revision 9790)
@@ -1,87 +1,92 @@
-﻿using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Diagnostics;
+using System.IO;
 using System.Windows.Forms;
 using HeuristicLab.Core.Views;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views;
 using HeuristicLab.MainForm;
-using System.Diagnostics;
-using System.IO;
 
 
-namespace HeuristicLab.Problems.Robocode
-{
-    [View("Robocode Tank Code View")]
-    [Content(typeof(Solution), IsDefaultView = true)]
-    public partial class SolutionCodeView : NamedItemView
-    {
-        private string Path { get; set; }
+namespace HeuristicLab.Problems.Robocode {
+  [View("Robocode Tank Code View")]
+  [Content(typeof(Solution), IsDefaultView = true)]
+  public partial class SolutionCodeView : NamedItemView {
+    private string Path { get; set; }
 
-        public new Solution Content
-        {
-            get { return (Solution)base.Content; }
-            set { base.Content = value; }
-        }
+    public new Solution Content {
+      get { return (Solution)base.Content; }
+      set { base.Content = value; }
+    }
 
-        public SolutionCodeView() : base()
-        {
-            InitializeComponent();
-            this.Path = "F:/robocode/";
-            this.programCode.Text = "";
-        }
+    public SolutionCodeView()
+      : base() {
+      InitializeComponent();
+      this.Path = "F:/robocode/";
+      this.programCode.Text = "";
+    }
 
-        protected override void OnContentChanged()
-        {
-            base.OnContentChanged();
-            if (Content == null)
-            {
-                this.programCode.Text = "";
-            }
-            else
-            {
-                this.Path = Content.Path;
-                string code = Interpreter.InterpretProgramTree(Content.Tree.Root);
-                code = code.Replace("class output extends", "class BestSolution extends");
-                this.programCode.Text = code;
-                File.AppendAllText(Path + "/robots/Evaluation/PreviousBestSolution.java", "\r\n/**********************************************/\r\n" + code);
-                File.WriteAllText(Path + "/robots/Evaluation/BestSolution.java", code, System.Text.Encoding.Default);
-            }
-        }
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        this.programCode.Text = "";
+      } else {
+        this.Path = Content.Path;
+        string code = Interpreter.InterpretProgramTree(Content.Tree.Root);
+        code = code.Replace("class output extends", "class BestSolution extends");
+        this.programCode.Text = code;
+        File.AppendAllText(Path + "/robots/Evaluation/PreviousBestSolution.java", "\r\n/**********************************************/\r\n" + code);
+        File.WriteAllText(Path + "/robots/Evaluation/BestSolution.java", code, System.Text.Encoding.Default);
+      }
+    }
 
-        private void btnRunInRobocode_Click(object sender, EventArgs e)
-        {
-            string formattedPath = Path.Replace("/", "\\");
-            ProcessStartInfo javaCompileInfo = new ProcessStartInfo();
-            javaCompileInfo.FileName = "cmd.exe";
-            javaCompileInfo.Arguments = "/C javac -cp " + formattedPath + "\\libs\\robocode.jar " + formattedPath + "\\robots\\Evaluation\\BestSolution.java";
-            javaCompileInfo.RedirectStandardOutput = true;
-            javaCompileInfo.RedirectStandardError = true;
-            javaCompileInfo.UseShellExecute = false;
-            javaCompileInfo.CreateNoWindow = true;
+    private void btnRunInRobocode_Click(object sender, EventArgs e) {
+      string formattedPath = Path.Replace("/", "\\");
+      ProcessStartInfo javaCompileInfo = new ProcessStartInfo();
+      javaCompileInfo.FileName = "cmd.exe";
+      javaCompileInfo.Arguments = "/C javac -cp " + formattedPath + "\\libs\\robocode.jar " + formattedPath + "\\robots\\Evaluation\\BestSolution.java";
+      javaCompileInfo.RedirectStandardOutput = true;
+      javaCompileInfo.RedirectStandardError = true;
+      javaCompileInfo.UseShellExecute = false;
+      javaCompileInfo.CreateNoWindow = true;
 
-            Process javaCompile = new Process();
-            javaCompile.StartInfo = javaCompileInfo;
-            javaCompile.Start();
-            javaCompile.WaitForExit();
+      Process javaCompile = new Process();
+      javaCompile.StartInfo = javaCompileInfo;
+      javaCompile.Start();
+      javaCompile.WaitForExit();
 
-            ProcessStartInfo evaluateCodeInfo = new ProcessStartInfo();
-            evaluateCodeInfo.FileName = "cmd.exe";
-            //javaCompileInfo.Arguments = "/C javac -cp C:\\robocode\\libs\\robocode.jar \"" + path + "\\Spaced Up\\output.java\"";
-            evaluateCodeInfo.Arguments = "/C java -classpath " + formattedPath + "\\libs;" + formattedPath + "\\libs\\robocode.core-1.8.1.0.jar;" + formattedPath + "\\libs\\robocode.jar;" + formattedPath + "\\libs\\picocontainer-2.14.2.jar BattleRunner Evaluation.BestSolution*";
-            //Console.WriteLine(javaCompileInfo.Arguments);
-            evaluateCodeInfo.RedirectStandardOutput = true;
-            evaluateCodeInfo.RedirectStandardError = true;
-            evaluateCodeInfo.UseShellExecute = false;
+      ProcessStartInfo evaluateCodeInfo = new ProcessStartInfo();
+      evaluateCodeInfo.FileName = "cmd.exe";
+      //javaCompileInfo.Arguments = "/C javac -cp C:\\robocode\\libs\\robocode.jar \"" + path + "\\Spaced Up\\output.java\"";
+      evaluateCodeInfo.Arguments = "/C java -classpath " + formattedPath + "\\libs;" + formattedPath + "\\libs\\robocode.core-1.8.1.0.jar;" + formattedPath + "\\libs\\robocode.jar;" + formattedPath + "\\libs\\picocontainer-2.14.2.jar BattleRunner Evaluation.BestSolution*";
+      //Console.WriteLine(javaCompileInfo.Arguments);
+      evaluateCodeInfo.RedirectStandardOutput = true;
+      evaluateCodeInfo.RedirectStandardError = true;
+      evaluateCodeInfo.UseShellExecute = false;
 
-            Process evaluateCode = new Process();
-            evaluateCode.StartInfo = evaluateCodeInfo;
-            evaluateCode.Start();
-            evaluateCode.WaitForExit();
-        }
+      Process evaluateCode = new Process();
+      evaluateCode.StartInfo = evaluateCodeInfo;
+      evaluateCode.Start();
+      evaluateCode.WaitForExit();
     }
+  }
 }
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/SolutionProgramView.Designer.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/SolutionProgramView.Designer.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/SolutionProgramView.Designer.cs	(revision 9790)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,7 +21,5 @@
 
 using System.Windows.Forms;
-using HeuristicLab.Core.Views;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views;
-using HeuristicLab.MainForm;
 
 namespace HeuristicLab.Problems.Robocode {
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/SolutionProgramView.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/SolutionProgramView.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode.Views/3.3/SolutionProgramView.cs	(revision 9790)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/BestSolutionAnalyzer.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/BestSolutionAnalyzer.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/BestSolutionAnalyzer.cs	(revision 9790)
@@ -1,3 +1,25 @@
-﻿using HeuristicLab.Common;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
@@ -8,213 +30,185 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
-namespace HeuristicLab.Problems.Robocode
-{
-    [StorableClass]
-    [Item("Best Tank program Analyzer",
-          "Analyzer that stores the best tank program.")]
-    public class BestSolutionAnalyzer : SingleSuccessorOperator,
-      ISymbolicExpressionTreeAnalyzer
-    {
-        #region parameter names
-        private const string QualityParameterName = "Quality";
-        private const string SymbolicExpressionTreeParameterName =
-          "TankProgram";
-        private const string MovesParameterName = "Moves";
-        private const string ShotsParameterName = "Shots";
-        private const string BestSolutionParameterName = "Best solution";
-        private const string ResultsParameterName = "Results";
-        private const string RobocodePathParamaterName = "Path";
-        private const string CoevolutionParameterName = "Coevolution";
-        #endregion
-
-
-        #region parameters
-        public IScopeTreeLookupParameter<DoubleValue> QualityParameter
-        {
-            get
-            {
-                return (IScopeTreeLookupParameter<DoubleValue>)
-                          Parameters[QualityParameterName];
-            }
+namespace HeuristicLab.Problems.Robocode {
+  [StorableClass]
+  [Item("Best Tank program Analyzer",
+        "Analyzer that stores the best tank program.")]
+  public class BestSolutionAnalyzer : SingleSuccessorOperator,
+    ISymbolicExpressionTreeAnalyzer {
+    #region parameter names
+    private const string QualityParameterName = "Quality";
+    private const string SymbolicExpressionTreeParameterName =
+      "TankProgram";
+    private const string MovesParameterName = "Moves";
+    private const string ShotsParameterName = "Shots";
+    private const string BestSolutionParameterName = "Best solution";
+    private const string ResultsParameterName = "Results";
+    private const string RobocodePathParamaterName = "Path";
+    private const string CoevolutionParameterName = "Coevolution";
+    #endregion
+
+
+    #region parameters
+    public IScopeTreeLookupParameter<DoubleValue> QualityParameter {
+      get {
+        return (IScopeTreeLookupParameter<DoubleValue>)
+                  Parameters[QualityParameterName];
+      }
+    }
+    public IScopeTreeLookupParameter<ISymbolicExpressionTree> SymbolicExpressionTreeParameter {
+      get {
+        return (IScopeTreeLookupParameter<ISymbolicExpressionTree>)
+                  Parameters[SymbolicExpressionTreeParameterName];
+      }
+    }
+    //public ILookupParameter<IntValue> MovesParameter
+    //{
+    //    get
+    //    {
+    //        return (ILookupParameter<IntValue>)
+    //                  Parameters[MovesParameterName];
+    //    }
+    //}
+    //public ILookupParameter<IntValue> ShotsParameter
+    //{
+    //    get
+    //    {
+    //        return (ILookupParameter<IntValue>)
+    //                  Parameters[ShotsParameterName];
+    //    }
+    //}
+    public ILookupParameter<Solution> BestSolutionParameter {
+      get {
+        return (ILookupParameter<Solution>)
+                  Parameters[BestSolutionParameterName];
+      }
+    }
+    public ILookupParameter<ResultCollection> ResultParameter {
+      get {
+        return (ILookupParameter<ResultCollection>)
+                  Parameters[ResultsParameterName];
+      }
+    }
+    public ILookupParameter<StringValue> RobocodePathParameter {
+      get {
+        return (ILookupParameter<StringValue>)
+            Parameters[RobocodePathParamaterName];
+      }
+    }
+    public ILookupParameter<BoolValue> CoevolutionParameter {
+      get {
+        return (ILookupParameter<BoolValue>)
+            Parameters[CoevolutionParameterName];
+      }
+    }
+    #endregion
+
+    [StorableConstructor]
+    protected BestSolutionAnalyzer(bool deserializing) : base(deserializing) { }
+    protected BestSolutionAnalyzer(BestSolutionAnalyzer original,
+                                   Cloner cloner)
+      : base(original, cloner) {
+    }
+
+    public BestSolutionAnalyzer() {
+      Parameters.Add(
+        new ScopeTreeLookupParameter<DoubleValue>(
+          QualityParameterName,
+          "The solution quality of the tank program."));
+      Parameters.Add(
+        new ScopeTreeLookupParameter<ISymbolicExpressionTree>(
+          SymbolicExpressionTreeParameterName,
+          "The tank program to evaluate represented " +
+          "as symbolic expression tree."));
+      Parameters.Add(
+        new LookupParameter<Solution>(
+          BestSolutionParameterName, "The best tank program."));
+      //Parameters.Add(
+      //  new LookupParameter<IntValue>(
+      //    MovesParameterName, "The number of moves made."));
+      //Parameters.Add(
+      //  new LookupParameter<IntValue>(
+      //    ShotsParameterName, "The shots made."));
+      Parameters.Add(
+        new LookupParameter<ResultCollection>(
+          ResultsParameterName, "The result collection of the algorithm."));
+      Parameters.Add(
+        new LookupParameter<StringValue>(
+          RobocodePathParamaterName,
+          "Path of the Robocode installation."));
+      Parameters.Add(
+          new LookupParameter<BoolValue>(
+              CoevolutionParameterName,
+              "Use Coevolution"));
+    }
+
+    public override IOperation Apply() {
+      // get an array of all trees
+      // and an array of all qualities
+      var trees = SymbolicExpressionTreeParameter.ActualValue;
+      var qualities = QualityParameter.ActualValue;
+
+      // find the tree with the best quality
+      double maxQuality = double.NegativeInfinity;
+      ISymbolicExpressionTree bestTree = null;
+      for (int i = 0; i < qualities.Length; i++) {
+        if (qualities[i].Value > maxQuality) {
+          maxQuality = qualities[i].Value;
+          bestTree = trees[i];
         }
-        public IScopeTreeLookupParameter<ISymbolicExpressionTree> SymbolicExpressionTreeParameter
-        {
-            get
-            {
-                return (IScopeTreeLookupParameter<ISymbolicExpressionTree>)
-                          Parameters[SymbolicExpressionTreeParameterName];
-            }
+      }
+
+      var coevolution = CoevolutionParameter.ActualValue.Value;
+      double actualQuality = 0;
+
+      if (coevolution)
+        actualQuality = Interpreter.EvaluateTankProgram(bestTree, null, RobocodePathParameter.ActualValue.Value);
+
+      // create a solution instance
+      //int shots = ShotsParameter.ActualValue.Value;
+      //int moves = MovesParameter.ActualValue.Value;
+      var bestSolution = new Solution(bestTree, RobocodePathParameter.ActualValue.Value);//, moves, shots);
+      // store the new solution in the best solution parameter
+      BestSolutionParameter.ActualValue = bestSolution;
+
+      // also add the best solution as a result to the result collection
+      // or alternatively update the existing result
+      var resultCollection = ResultParameter.ActualValue;
+      if (!resultCollection.ContainsKey(BestSolutionParameterName)) {
+        resultCollection.Add(
+          new Result(BestSolutionParameterName,
+                     "The best tank program", bestSolution));
+        //if(coevolution)
+        //    resultCollection.Add(
+        //        new Result("Actual Quality",
+        //            "The actual quality of the best program", new DoubleValue(actualQuality)));
+      } else {
+        resultCollection[BestSolutionParameterName].Value = bestSolution;
+      }
+
+      if (coevolution) {
+        if (!resultCollection.ContainsKey("Actual Quality")) {
+          resultCollection.Add(
+              new Result("Actual Quality",
+                  "The actual quality of the best program", new DoubleValue(actualQuality)));
+        } else {
+          resultCollection["Actual Quality"].Value = new DoubleValue(actualQuality);
         }
-        //public ILookupParameter<IntValue> MovesParameter
-        //{
-        //    get
-        //    {
-        //        return (ILookupParameter<IntValue>)
-        //                  Parameters[MovesParameterName];
-        //    }
-        //}
-        //public ILookupParameter<IntValue> ShotsParameter
-        //{
-        //    get
-        //    {
-        //        return (ILookupParameter<IntValue>)
-        //                  Parameters[ShotsParameterName];
-        //    }
-        //}
-        public ILookupParameter<Solution> BestSolutionParameter
-        {
-            get
-            {
-                return (ILookupParameter<Solution>)
-                          Parameters[BestSolutionParameterName];
-            }
-        }
-        public ILookupParameter<ResultCollection> ResultParameter
-        {
-            get
-            {
-                return (ILookupParameter<ResultCollection>)
-                          Parameters[ResultsParameterName];
-            }
-        }
-        public ILookupParameter<StringValue> RobocodePathParameter
-        {
-            get
-            {
-                return (ILookupParameter<StringValue>)
-                    Parameters[RobocodePathParamaterName];
-            }
-        }
-        public ILookupParameter<BoolValue> CoevolutionParameter
-        {
-            get
-            {
-                return (ILookupParameter<BoolValue>)
-                    Parameters[CoevolutionParameterName];
-            }
-        }
-        #endregion
-
-        [StorableConstructor]
-        protected BestSolutionAnalyzer(bool deserializing) : base(deserializing) { }
-        protected BestSolutionAnalyzer(BestSolutionAnalyzer original,
-                                       Cloner cloner)
-            : base(original, cloner)
-        {
-        }
-
-        public BestSolutionAnalyzer()
-        {
-            Parameters.Add(
-              new ScopeTreeLookupParameter<DoubleValue>(
-                QualityParameterName,
-                "The solution quality of the tank program."));
-            Parameters.Add(
-              new ScopeTreeLookupParameter<ISymbolicExpressionTree>(
-                SymbolicExpressionTreeParameterName,
-                "The tank program to evaluate represented " +
-                "as symbolic expression tree."));
-            Parameters.Add(
-              new LookupParameter<Solution>(
-                BestSolutionParameterName, "The best tank program."));
-            //Parameters.Add(
-            //  new LookupParameter<IntValue>(
-            //    MovesParameterName, "The number of moves made."));
-            //Parameters.Add(
-            //  new LookupParameter<IntValue>(
-            //    ShotsParameterName, "The shots made."));
-            Parameters.Add(
-              new LookupParameter<ResultCollection>(
-                ResultsParameterName, "The result collection of the algorithm."));
-            Parameters.Add(
-              new LookupParameter<StringValue>(
-                RobocodePathParamaterName,
-                "Path of the Robocode installation."));
-            Parameters.Add(
-                new LookupParameter<BoolValue>(
-                    CoevolutionParameterName,
-                    "Use Coevolution"));
-        }
-
-        public override IOperation Apply()
-        {
-            // get an array of all trees
-            // and an array of all qualities
-            var trees = SymbolicExpressionTreeParameter.ActualValue;
-            var qualities = QualityParameter.ActualValue;
-
-            // find the tree with the best quality
-            double maxQuality = double.NegativeInfinity;
-            ISymbolicExpressionTree bestTree = null;
-            for (int i = 0; i < qualities.Length; i++)
-            {
-                if (qualities[i].Value > maxQuality)
-                {
-                    maxQuality = qualities[i].Value;
-                    bestTree = trees[i];
-                }
-            }
-
-            var coevolution = CoevolutionParameter.ActualValue.Value;
-            double actualQuality = 0;
-
-            if (coevolution)
-                actualQuality = Interpreter.EvaluateTankProgram(bestTree, null, RobocodePathParameter.ActualValue.Value);
-
-            // create a solution instance
-            //int shots = ShotsParameter.ActualValue.Value;
-            //int moves = MovesParameter.ActualValue.Value;
-            var bestSolution = new Solution(bestTree, RobocodePathParameter.ActualValue.Value);//, moves, shots);
-            // store the new solution in the best solution parameter
-            BestSolutionParameter.ActualValue = bestSolution;
-
-            // also add the best solution as a result to the result collection
-            // or alternatively update the existing result
-            var resultCollection = ResultParameter.ActualValue;
-            if (!resultCollection.ContainsKey(BestSolutionParameterName))
-            {
-              resultCollection.Add(
-                new Result(BestSolutionParameterName,
-                           "The best tank program", bestSolution));
-              //if(coevolution)
-              //    resultCollection.Add(
-              //        new Result("Actual Quality",
-              //            "The actual quality of the best program", new DoubleValue(actualQuality)));
-            }
-            else
-            {
-                resultCollection[BestSolutionParameterName].Value = bestSolution;
-            }
-
-            if (coevolution)
-            {
-                if (!resultCollection.ContainsKey("Actual Quality"))
-                {
-                    resultCollection.Add(
-                        new Result("Actual Quality",
-                            "The actual quality of the best program", new DoubleValue(actualQuality)));
-                }
-                else
-                {
-                    resultCollection["Actual Quality"].Value = new DoubleValue(actualQuality);
-                }
-            }
-
-            // important return base.Apply() to make sure the 
-            // next operator is queued for execution
-            return base.Apply();
-        }
-
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new BestSolutionAnalyzer(this, cloner);
-        }
-
-        // override this property to indicate that this analyzer
-        // should be enabled by default in the algorithm
-        public bool EnabledByDefault
-        {
-            get { return true; }
-        }
-    }
+      }
+
+      // important return base.Apply() to make sure the 
+      // next operator is queued for execution
+      return base.Apply();
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new BestSolutionAnalyzer(this, cloner);
+    }
+
+    // override this property to indicate that this analyzer
+    // should be enabled by default in the algorithm
+    public bool EnabledByDefault {
+      get { return true; }
+    }
+  }
 }
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Crossover/RobocodeCrossover.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Crossover/RobocodeCrossover.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Crossover/RobocodeCrossover.cs	(revision 9790)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,7 +26,7 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 
 namespace HeuristicLab.Problems.Robocode {
